=== debian/changelog ===
mapcache (1.2.0-1build1) trusty; urgency=low

  * No-change rebuild for libgdal1 -> libgdal1h transition.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 12 Dec 2013 01:36:27 -0500

mapcache (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0. (closes: #712377)
  * Update watch file for github releases.
  * Build system changed from autotools to cmake.
  * Drop patches:
    - includepath.patch (no longer required)
    - fixwithmapserv.patch (libtool no longer used)
    - libmapcache_hardening.patch (libtool no longer used)
    - demo_service_js_typos.patch (applied upstream)
    - demo_service_valid_js_var.patch (applied upstream)
    - demo_service_html5_doctype.patch (applied upstream)
    - demo_service_html_charset.patch (applied upstream)
    - demo_service_list_newlines.patch (applied upstream)
    - demo_service_page_height.patch (applied upstream)
    - demo_service_indenting.patch (applied upstream)
    - mapcache_seed_non_zero_exit.patch (applied upstream)
    - mapcache_seed_delete_mode.patch (applied upstream)
    - mapcache_seed_typo.patch (applied upstream)
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.
  * Add patch to use a versioned SONAME.
  * SONAME of libmapcache changed from libmapcache.so.0 to
    libmapcache.so.1.
  * Update libmapcache symbols for 1.2.0 on amd64.
  * Enable verbose make output.
  * Call ldconfig in libmapcache postinst and postrm.
  * Update libmapserver dependency for MapServer 6.4.0.
  * Add patch to include mapserver cmake package.
  * Build-Depend on libtiff-dev for libtiff5 transition.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 11 Sep 2013 19:16:06 +0200

mapcache (1.0.0-3) UNRELEASED; urgency=low

  * Upload for Debian closes: #712377
  * Strip RPATH from module and CGI binary.
  * Empty dependency_libs in la file.
  * Update copyright file to DEP-5 format.
  * Use set -e in postinst & postrm.
  * Additional cleanup of auto-generated files.
  * Multi-Arch libmapcache with debhelper 9.
  * Rename libmapcache to libmapcache0 to match SONAME.
  * Add libmapcache0-dev package.
  * Bump Standards-Version to 3.9.4.
  * Create /var/cache/mapcache in postinst.
  * Build-Depend on libproj-dev instead of the proj source package.
  * Drop explicit dependency on libmapcache0, already set by shlibs:Depends.
  * Enable hardening build flags.
  * Add man page for mapcache_seed utility.
  * Add patch to fix typos in demo service javascript.
  * Add patch to use a valid variable name for the WMSGetFeatureInfo control.
  * Add patch to set the HTML5 DOCTYPE in the demo service.
  * Add patch to set the Content-Type and charset in the HTML documents.
  * Add patch to add newlines after each list item.
  * Add patch to set the page height to 100% for the demo service.
  * Add patch to use 4 space indenting in the generated HTML.
  * Add patch to return non-zero exit status if errors occured in mapcache_seed.
  * Add patch to fix deletion of map tiles in seeder's delete mode.
  * Add patch to fix typos in mapcache_seed.
  * Add watch file.
  * Add maintainer scripts for libmapcache0 to call ldconfig.
  * Add mapcache.xml examples to libapache2-mod-mapcache.
  * Update for apache 2.4.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Jun 2013 01:34:26 +0200

mapcache (1.0.0-2~ubuntu1) unstable; urgency=low

  * Added libmapcache.symbols

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 28 Feb 2013 10:04:43 -0500

mapcache (1.0.0-1~ubuntu1) unstable; urgency=low

  * Initial Upstream Release
  * Added includepath.patch to change the mapserver.h path to
    mapserver/mapserver.h

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 15 Nov 2012 21:08:41 +0000

mapcache (0~git052512+a8a8fe848c-1~ubuntu1) unstable; urgency=low

  * New git upstream.

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 20 Jun 2012 13:46:36 +0000

mapcache (0.0.0~git20120526~ubuntu1) unstable; urgency=low

  * Initial Release.

 -- Tom Payne <tom.payne@camptocamp.com>  Thu, 07 Jun 2012 19:18:04 +0200
