=== debian/changelog ===
mapcache (1.2.1-4) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 13:41:00 +0200

mapcache (1.2.1-4~exp1) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Use multi-line uscan options without quotes.
  * Update mapserver build dependencies for MapServer 7.0.0.
  * Reorder build dependencies, add libharfbuzz-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jul 2015 13:45:27 +0200

mapcache (1.2.1-3) unstable; urgency=medium

  * Add upstream metadata.
  * Update Source URL for GitHub in copyright file.
  * Update Homepage URL, strip en/ from path.
  * Set the date embedded in man pages to the build date for
    reproducible builds.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to @debian.org address.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update copyright file, changes:
    - Convert copyright file from iso-8859-1 to utf8
    - Update copyright years
    - Drop unused files paragraph for ltmain.sh
  * Drop lintian override for no-upstream-changelog,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 12:11:00 +0200

mapcache (1.2.1-2) unstable; urgency=low

  * Add gpb.conf to use pristine-tar by default.
  * Use dh commands instead of CMake directly.
  * Enable parallel builds.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Don't create /var/cache/mapcache in postinst,
    use libapache2-mod-mapcache.dirs instead.
    (closes: #740327)
  * Also remove generated man pages on clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Feb 2014 17:55:13 +0100

mapcache (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Drop soname.patch, applied upstream.
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.
  * Add lintian override for no-upstream-changelog, no changes in source.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 03 Jan 2014 17:30:18 +0100

mapcache (1.2.0-2) unstable; urgency=low

  [ Bas Couwenberg ]
  * Change priority to optional.

  [ Francesco Paolo Lovergine ]
  * Changed to libgdal-dev b-d.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Dec 2013 17:08:16 +0100
