=== debian/control ===
--- 
+++ 
@@ -2,44 +2,44 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: devel
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1),
-               libcurl4-gnutls-dev,
-               libpng-dev,
+               dh-apache2,
+               apache2-dev,
+               chrpath,
+               cmake,
+               libcairo2-dev,
+               libcurl4-gnutls-dev | libcurl-ssl-dev,
+               libfcgi-dev,
+               libfreetype6-dev,
+               libfribidi-dev,
+               libgd-dev,
+               libgdal-dev (>= 1.10.0-0~),
+               libgeos-dev (>= 3.3.1-1~),
+               libharfbuzz-dev,
                libjpeg-dev,
-               zlib1g-dev,
-               libgd-dev,
-               libfreetype6-dev,
-               libgdal1-dev (>= 1.9.0),
-               libproj-dev,
-               libgeos-dev (>= 3.3.1-1~),
-               libfribidi-dev,
-               libcairo2-dev,
-               librsvg2-dev,
-               apache2-dev,
-               dh-apache2,
-               libfcgi-dev,
+               libmapserver-dev,
                libpcre3-dev,
                libpixman-1-dev,
+               libpng-dev,
+               libproj-dev,
+               librsvg2-dev,
                libsqlite3-dev,
                libtiff-dev,
-               libmapserver1 (>= 6.4.0-2),
-               libmapserver1-dev (>= 6.4.0-2),
-               chrpath,
-               cmake,
+               zlib1g-dev,
                pkg-config,
                pkg-kde-tools,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapcache.git
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/mapcache.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
-Homepage: http://www.mapserver.org/en/mapcache/
+Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1
 Architecture: any
