## mapcache 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 2)
-set (MAPCACHE_VERSION_REVISION 1)
+set (MAPCACHE_VERSION_MINOR 4)
+set (MAPCACHE_VERSION_REVISION 0)
 
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -61,6 +61,9 @@
 
 
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
+if(APPLE)
+  set(CMAKE_MACOSX_RPATH ON)
+endif()
 set(CMAKE_LINK_INTERFACE_LIBRARY "")
 
 file(GLOB mapcache_SOURCES lib/*.c )
@@ -81,6 +84,7 @@
 option(WITH_GEOTIFF "Allow GeoTIFF metadata creation for TIFF cache backends" OFF)
 option(WITH_PCRE "Use PCRE for regex tests" OFF)
 option(WITH_MAPSERVER "Enable (experimental) support for the mapserver library" OFF)
+option(WITH_RIAK "Use Riak as a cache backend" OFF)
 
 find_package(PNG)
 if(PNG_FOUND)
@@ -228,6 +232,16 @@
   endif(MAPSERVER_FOUND)
 endif (WITH_MAPSERVER)
 
+if(WITH_RIAK)
+  find_package(RIAK)
+  if(RIAK_FOUND)
+    include_directories(${RIAK_INCLUDE_DIR})
+    target_link_libraries(mapcache ${RIAK_LIBRARY})
+    set (USE_RIAK 1)
+  else(RIAK_FOUND)
+    report_optional_not_found(RIAK)
+  endif(RIAK_FOUND)
+endif (WITH_RIAK)
 
 if(UNIX)
 target_link_libraries(mapcache ${CMAKE_DL_LIBS} m )
@@ -276,6 +290,7 @@
 status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
 status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
 status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
+status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
 
 INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})
