=== debian/changelog ===
mapcache (1.4.0-4) unstable; urgency=medium

  * Update watch file to use lowercase RC in uversionmangle.
  * Rebuild for geos transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 14:15:23 +0200

mapcache (1.4.0-3) unstable; urgency=medium

  * Disable memcache support on architectures where it's not supported.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 19:22:22 +0200

mapcache (1.4.0-2) unstable; urgency=medium

  * Enable memcache support. Thanks to Frederic Junod for the patch.
    (closes: 794784)
  * Update Vcs-Browser URL to use HTTPS.
  * Update Upstream-Contact in copyright file to include email address.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 16:45:28 +0200

mapcache (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 00:32:07 +0200

mapcache (1.4.0-1~exp1) experimental; urgency=medium

  * Update watch file to support new upstream tag format too.
  * New upstream release.
  * Update copyright file, add license & copyright for hmac-sha.c.
  * Refresh patches.
  * Disable experimental mapserver support, FTBFS.
  * Update symbols for amd64.
  * Move docs to libapache2-mod-mapcache.
  * Update mapcache_seed man page with new options.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jul 2015 21:40:01 +0200
