=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libgeos-dev (>= 3.3.1-1~),
                libharfbuzz-dev,
                libjpeg-dev,
-               libmapserver-dev,
+               libmemcached-dev,
                libpcre3-dev,
                libpixman-1-dev,
                libpng-dev,
@@ -37,7 +37,7 @@
                docbook-xml,
                xsltproc
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/mapcache.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcache.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
