=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
@@ -28,11 +29,10 @@
 		-DWITH_PIXMAN=1 \
 		-DWITH_SQLITE=1 \
 		-DWITH_BERKELEY_DB=0 \
-		-DWITH_MEMCACHE=0 \
 		-DWITH_TIFF=1 \
 		-DWITH_TIFF_WRITE_SUPPORT=0 \
 		-DWITH_GEOTIFF=0 \
-		-DWITH_MAPSERVER=1 \
+		-DWITH_MAPSERVER=0 \
 		-DWITH_PCRE=1 \
 		-DWITH_APACHE=1 \
 		-DWITH_VERSION_STRING=1 \
@@ -40,6 +40,13 @@
 		-DWITH_FCGI=1 \
 		-DWITH_GEOS=1 \
 		-DWITH_OGR=1
+
+# Disable memcache support on architectures where it's not supported
+ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa"))
+	CMAKE_OPTS += -DWITH_MEMCACHE=0
+else
+	CMAKE_OPTS += -DWITH_MEMCACHE=1
+endif
 
 %:
 	dh $@ --with apache2,pkgkde_symbolshelper \
