## mapcache 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 include(CheckIncludeFile)
 include(CheckCSourceCompiles)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
 if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug") 
    add_definitions(-DDEBUG) 
 endif () 
@@ -14,7 +13,7 @@
 
 set (MAPCACHE_VERSION_MAJOR 1)
 set (MAPCACHE_VERSION_MINOR 4)
-set (MAPCACHE_VERSION_REVISION 0)
+set (MAPCACHE_VERSION_REVISION 1)
 
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -58,7 +57,7 @@
 
 check_function_exists("strncasecmp"  HAVE_STRNCASECMP)
 check_function_exists("symlink"  HAVE_SYMLINK)
-
+check_function_exists ("timegm" HAVE_TIMEGM)
 
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
 if(APPLE)
@@ -73,6 +72,15 @@
   VERSION ${MAPCACHE_VERSION_STRING}
   SOVERSION 1
 )
+
+# Add compiler flags for warnings
+if(CMAKE_COMPILER_IS_GNUCC)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement")
+endif()
+
+if(CMAKE_C_COMPILER_ID MATCHES "Clang")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement -std=c89 -Wno-comment")
+endif()
 
 #options suported by the cmake builder
 option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
@@ -89,7 +97,7 @@
 find_package(PNG)
 if(PNG_FOUND)
   include_directories(${PNG_INCLUDE_DIR})
-  target_link_libraries(mapcache ${PNG_LIBRARY})
+  target_link_libraries(mapcache ${PNG_LIBRARIES})
 else(PNG_FOUND)
   report_mandatory_not_found(PNG)
 endif(PNG_FOUND)
@@ -160,6 +168,7 @@
     include_directories(${PCRE_INCLUDE_DIR})
     target_link_libraries(mapcache ${PCRE_LIBRARY})
     set (USE_PCRE 1)
+    add_definitions(-DPCRE_STATIC) 
   else(PCRE_FOUND)
     report_optional_not_found(PCRE)
   endif(PCRE_FOUND)
