=== debian/changelog ===
mapcache (1.4.1-3) unstable; urgency=medium

  * Update symbols for hurd-i386.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop libmapcache2 post{inst,rm}, rely on dpkg-triggers for ldconfig.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 11:40:45 +0200

mapcache (1.4.1-2) unstable; urgency=medium

  * Disable memcache support on hurd-i386 too.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2016 09:46:50 +0100

mapcache (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update symbols for 1.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 21:04:46 +0100
