=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcache.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1
