=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 		-DWITH_OGR=1
 
 # Disable memcache support on architectures where it's not supported
-ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa"))
+ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa hurd-i386"))
 	CMAKE_OPTS += -DWITH_MEMCACHE=0
 else
 	CMAKE_OPTS += -DWITH_MEMCACHE=1
