## mapcache 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 2.6)
 
-project (MapCache)
+project (MapCache C)
 
 include(CheckFunctionExists)
 include(CheckIncludeFile)
@@ -12,9 +12,8 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 4)
-set (MAPCACHE_VERSION_REVISION 1)
-
+set (MAPCACHE_VERSION_MINOR 6)
+set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)
@@ -58,6 +57,7 @@
 check_function_exists("strncasecmp"  HAVE_STRNCASECMP)
 check_function_exists("symlink"  HAVE_SYMLINK)
 check_function_exists ("timegm" HAVE_TIMEGM)
+check_function_exists ("strptime" HAVE_STRPTIME)
 
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
 if(APPLE)
@@ -66,8 +66,9 @@
 set(CMAKE_LINK_INTERFACE_LIBRARY "")
 
 file(GLOB mapcache_SOURCES lib/*.c )
-
-add_library(mapcache SHARED ${mapcache_SOURCES})
+file(GLOB mapcache_HEADERS include/*.h)
+
+add_library(mapcache SHARED ${mapcache_SOURCES} ${mapcache_HEADERS})
 set_target_properties(mapcache PROPERTIES
   VERSION ${MAPCACHE_VERSION_STRING}
   SOVERSION 1
@@ -93,6 +94,7 @@
 option(WITH_PCRE "Use PCRE for regex tests" OFF)
 option(WITH_MAPSERVER "Enable (experimental) support for the mapserver library" OFF)
 option(WITH_RIAK "Use Riak as a cache backend" OFF)
+option(WITH_GDAL "Choose if GDAL raster support should be built in" ON)
 
 find_package(PNG)
 if(PNG_FOUND)
@@ -162,6 +164,17 @@
   endif(PIXMAN_FOUND)
 endif (WITH_PIXMAN)
 
+if(WITH_GDAL)
+  find_package(GDAL)
+  if(GDAL_FOUND)
+    include_directories(${GDAL_INCLUDE_DIR})
+    target_link_libraries(mapcache ${GDAL_LIBRARY})
+    set (USE_GDAL 1)
+  else(GDAL_FOUND)
+    report_optional_not_found(GDAL)
+  endif(GDAL_FOUND)
+endif(WITH_GDAL)
+
 if(WITH_PCRE)
    find_package(PCRE)
   if(PCRE_FOUND)
@@ -300,6 +313,7 @@
 status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
 status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
 status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
+status_optional_component("GDAL" "${USE_GDAL}" "${GDAL_LIBRARY}")
 
 INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})
