=== debian/changelog ===
mapcache (1.6.0-2) unstable; urgency=medium

  * Update symbols for other architecture.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:25:52 +0200

mapcache (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix 'contours' typo in manpage.
  * Drop typo patches, applied upstream.
  * Update copyright file, changes:
    - Update copyright years for Regents of the University of Minnesota
    - Add Frank Warmerdam to copyright holders
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2017 18:54:23 +0200
