=== nginx/CMakeLists.txt ===

configure_file (
  "${PROJECT_SOURCE_DIR}/nginx/config.in"
  "${PROJECT_BINARY_DIR}/nginx/config"
)
