=== debian/changelog ===
mapcache (1.6.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:08:36 +0200

mapcache (1.6.1-2) unstable; urgency=medium

  * Drop libproj-dev build dependency, not directly required and already
    pulled in via libgdal-dev.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from rules file.
  * Use filter instead of findstring to prevent partial matches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 18:45:30 +0200

mapcache (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.1, no changes.
  * Drop spelling-errors.patch, applied upstream.
  * Change section for libapache2-mod-mapcache to httpd.
  * Update symbols for 1.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 09:25:05 +0200
