=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                libpcre3-dev,
                libpixman-1-dev,
                libpng-dev,
-               libproj-dev,
                librsvg2-dev,
                libsqlite3-dev,
                libtiff-dev,
@@ -36,9 +35,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcache.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcache.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1
@@ -104,7 +103,7 @@
 
 Package: libapache2-mod-mapcache
 Architecture: any
-Section: web
+Section: httpd
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tile caching server - Apache module
