=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
@@ -20,8 +20,11 @@
 CFLAGS+=$(CPPFLAGS)
 CFLAGS+=$(LDFLAGS)
 
-MAPCACHE_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 CMAKE_OPTS:= \
 		-DCMAKE_INSTALL_PREFIX=/usr \
@@ -42,7 +45,7 @@
 		-DWITH_OGR=1
 
 # Disable memcache support on architectures where it's not supported
-ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa hurd-i386"))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf i386 mips mipsel powerpc hppa hurd-i386))
 	CMAKE_OPTS += -DWITH_MEMCACHE=0
 else
 	CMAKE_OPTS += -DWITH_MEMCACHE=1
@@ -97,5 +100,4 @@
 	dh_install --autodest --list-missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -- -c0 -v$(MAPCACHE_VERSION)
-
+	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
